package com.zt.plat.module.contractorder.enums.purchaseorder;

import com.zt.plat.framework.common.exception.ErrorCode;

/**
 * contract-order 错误码枚举类
 *
 * contract-order 系统，使用 1-xxx-xxx-xxx 段
 *
 * @author ZT
 */
public interface ErrorCodeConstants {

    ErrorCode PURCHASE_ORDER_NOT_EXISTS =  new ErrorCode(1_008_000_001, "采购订单不存在");
    ErrorCode ORDER_ID_NOT_EXISTS = new ErrorCode(1_008_000_010, "订单id不能为空");
    ErrorCode PRCH_ORD_DTL_NOT_EXISTS =  new ErrorCode(1_008_001_001, "采购订单明细不存在");
    ErrorCode PURCHASE_ORDER_STATUS_ERROR = new ErrorCode(1_008_001_020, "非法的订单状态");
    ErrorCode Sales_ORDER_NOT_EXISTS =  new ErrorCode(1_008_000_030, "销售订单不存在");
    ErrorCode Sales_ORD_DTL_NOT_EXISTS =  new ErrorCode(1_008_001_040, "销售订单明细不存在");
    ErrorCode ORDER_DONT_SUBMIT = new ErrorCode(1_008_000_050, "该订单不支持审批");
}
